#!/usr/bin/perl -w
# サーバのパスに合わせる
#use KCatch qw( mode=html );

######################################################################
# アクセスカウントCGI counter.cgi ver1.0
# Copyright (C) 1999-2017 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
# タグ見本
#
# アクセス数GIF表示
# <img src="/cgi-bin/accestat/counter.cgi?image=1&amp;color=ff0000" />
# 
# 透過GIF
# <img src="/cgi-bin/accestat/counter.cgi?invisible=true" height="1" width="1" />
#
######################################################################

# CGI共通ライブラリ読み込み
use lib "<shared-cgi-data-root>/lib";

# CGI共通設定読み込み
require "<cgi-data-path>/lib/env.pl";

# CGI基本設定読み込み
require "./default.pl";

use CMONOS::CGI_Lib::UrlDecode;
use CMONOS::AccessCounter::Counter;

# オブジェクト作成
$cgi::action = new Counter;

# 要求のデコード
$cgi::action->decode;

# メイン
$cgi::action->run;

